BWParserInternal::Frame Struct Reference

Internal: a structure use to store a frame of a BWParser. More...

## Public Member Functions

| Frame ()
| constructor More...

## Public Attributes

bool | m_charAnchor
| a flag to know if this is a char or a page frame More...
int | m_id
| frame id More...
int | m_pictId
| the picture id More...
Vec2f | m_origin
| the origin ( for a page frame ) More...
Vec2f | m_dim
| the dimension More...
int | m_page
| the page ( for a page frame ) More...
int | m_wrap
| the wrapping: 0=none, 1=rectangle, 2=irregular More...
MWAWBorder | m_border
| the border More...
int | m_bordersSet
| the list of border which are set in form libmwaw::LeftBit|... More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Frame const &frm)
| operator<< More...

## Detailed Description

Internal: a structure use to store a frame of a BWParser.

## Constructor & Destructor Documentation

BWParserInternal::Frame::Frame | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | frm
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWBorder BWParserInternal::Frame::m_border

the border

Referenced by BWParser::sendFrame().

int BWParserInternal::Frame::m_bordersSet

the list of border which are set in form libmwaw::LeftBit|...

Referenced by BWParser::sendFrame().

bool BWParserInternal::Frame::m_charAnchor

a flag to know if this is a char or a page frame

Referenced by BWParser::sendFrame(), and BWParser::sendPageFrames().

Vec2f BWParserInternal::Frame::m_dim

the dimension

Referenced by BWParser::readFrame(), and BWParser::sendFrame().

std::string BWParserInternal::Frame::m_extra

extra data

Referenced by BWParser::readFrame().

int BWParserInternal::Frame::m_id

frame id

Referenced by BWParser::readFrame().

Vec2f BWParserInternal::Frame::m_origin

the origin ( for a page frame )

Referenced by BWParser::readFrame(), and BWParser::sendFrame().

int BWParserInternal::Frame::m_page

the page ( for a page frame )

Referenced by BWParser::readFrame(), and BWParser::sendFrame().

int BWParserInternal::Frame::m_pictId

the picture id

Referenced by BWParser::sendFrame().

int BWParserInternal::Frame::m_wrap

the wrapping: 0=none, 1=rectangle, 2=irregular

Referenced by BWParser::sendFrame().

The documentation for this struct was generated from the following file:

- BWParser.cxx